package com.example.ps4

import android.content.Intent
import androidx.activity.result.ActivityResult
import com.example.core.domain.PspService
import com.example.core.model.PaymentResultEntity
import javax.inject.Inject

class Ps4Service @Inject constructor() : PspService {
    override fun pay(amount: Long): Intent {
        return Intent()
    }

    override fun print(lines: List<String>, onMessage: (String) -> Unit) {
        onMessage("PS4: Printing -> $lines")
    }

    override fun decodePosResponse(
        id: String?,
        activityResult: ActivityResult
    ): PaymentResultEntity? = null
}
